##### basic_datagram_socket::operator= (2 of 2 overloads)

Move-assign a `basic_datagram_socket` from a socket of another protocol type.

    template<
        typename Protocol1,
        typename Executor1>
    enable_if< is_convertible< Protocol1, Protocol >::value &&is_convertible< Executor1, Executor >::value, basic_datagram_socket & >::type operator=(
        basic_datagram_socket< Protocol1, Executor1 > && other);

This assignment operator moves a datagram socket from one object to another.

###### Parameters

other

  The other `basic_datagram_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_datagram_socket(const executor_type&)` constructor.